com.holonplatform.vaadin.flow.navigator.exceptions

## Class UnauthorizedNavigationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.vaadin.flow.navigator.exceptions.UnauthorizedNavigationException

- All Implemented Interfaces:
    Serializable

      public class UnauthorizedNavigationException
      extends RuntimeException

  Exception used to notify an unauthorized navigation target error, when user authentication is required but not available.
  Since:
    5.2.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_MESSAGE` Default unauthorized navigation error message
    `static String` | `DEFAULT_MESSAGE_CODE` Default unauthorized navigation error message localization code

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnauthorizedNavigationException()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MESSAGE

          public static final String DEFAULT_MESSAGE

      Default unauthorized navigation error message
      See Also:
        Constant Field Values

    - #### DEFAULT_MESSAGE_CODE

          public static final String DEFAULT_MESSAGE_CODE

      Default unauthorized navigation error message localization code
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UnauthorizedNavigationException

          public UnauthorizedNavigationException()

Copyright © 2019 The Holon Platform. All rights reserved.